package cn.com.origin.autocodemanager.common;

import javax.swing.JTextField;

import cn.com.origin.autocodemanager.common.tree.AbstractTreeData;

import com.teamcenter.rac.util.iTextField;

public class PackCodeDescInfos {

	private String generateID;
	private String idDesc;
	private String idjl;
	private String codetz;
	private AbstractTreeData selectedSegmentNode;
	private String codeStyle;

	private iTextField idValueIText;
	private iTextField revValueIText;
	private iTextField nameValueIText;

	private JTextField idValueJText;
	private JTextField revValueJText;
	private JTextField nameValueJText;

	public PackCodeDescInfos() {
	}

	public String getGenerateID() {
		return generateID;
	}

	public void setGenerateID(String generateID) {
		this.generateID = generateID;
	}

	public String getIdDesc() {
		return idDesc;
	}

	public void setIdDesc(String idDesc) {
		this.idDesc = idDesc;
	}

	public String getIdjl() {
		return idjl;
	}

	public void setIdjl(String idjl) {
		this.idjl = idjl;
	}

	public String getCodetz() {
		return codetz;
	}

	public void setCodetz(String codetz) {
		this.codetz = codetz;
	}

	public AbstractTreeData getSelectedSegmentNode() {
		return selectedSegmentNode;
	}

	public void setSelectedSegmentNode(AbstractTreeData selectedSegmentNode) {
		this.selectedSegmentNode = selectedSegmentNode;
	}

	public String getCodeStyle() {
		return codeStyle;
	}

	public void setCodeStyle(String codeStyle) {
		this.codeStyle = codeStyle;
	}

	public iTextField getIdValueIText() {
		return idValueIText;
	}

	public void setIdValueIText(iTextField idValueIText) {
		this.idValueIText = idValueIText;
	}

	public iTextField getRevValueIText() {
		return revValueIText;
	}

	public void setRevValueIText(iTextField revValueIText) {
		this.revValueIText = revValueIText;
	}

	public iTextField getNameValueIText() {
		return nameValueIText;
	}

	public void setNameValueIText(iTextField nameValueIText) {
		this.nameValueIText = nameValueIText;
	}

	public JTextField getIdValueJText() {
		return idValueJText;
	}

	public void setIdValueJText(JTextField idValueJText) {
		this.idValueJText = idValueJText;
	}

	public JTextField getRevValueJText() {
		return revValueJText;
	}

	public void setRevValueJText(JTextField revValueJText) {
		this.revValueJText = revValueJText;
	}

	public JTextField getNameValueJText() {
		return nameValueJText;
	}

	public void setNameValueJText(JTextField nameValueJText) {
		this.nameValueJText = nameValueJText;
	}
	
}
